<script setup lang="ts">
import { provide, ref } from 'vue'
import { RouterView, useRoute } from 'vue-router'
import MainMenu from './components/MainMenu.vue'
import MainAppBar from './components/MainAppBar.vue'
import LoginDialog from './views/LoginDialog.vue'
import LoadingDialogVue from './components/LoadingDialog.vue'
import MessageBox from './components/MessageBox.vue'
import MainLayout from './layouts/MainLayout.vue'
import FullLayout from './layouts/FullLayout.vue'
const drawer = ref(true)
const rail = ref(true)
provide('rail', rail)
provide('drawer', drawer)
const route = useRoute()
</script>

<template>
  <MainLayout v-if="route.meta.layout === 'MainLayout'"></MainLayout>
  <FullLayout v-if="route.meta.layout === 'FullLayout'"></FullLayout>
  <LoadingDialogVue></LoadingDialogVue>
  <MessageBox></MessageBox>
</template>

<style scoped></style>
